[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DragOver

Called when an object is dragged over this control; Determines whether a drop is acceptable, using the OnDragOver handler.

## Declaration

Source position: controls.pp line 1474

`protected procedure TControl.DragOver(`
`Source: TObject;`
`X: Integer;`
`Y: Integer;`
`State: TDragState;`
`var Accept: Boolean`
`); virtual;`

## Arguments

`Source` |  | The dragged object, a control or a DragObject.
`X` |  | The horizontal mouse position in client coordinates.
`Y` |  | The vertical mouse position in client coordinates.
`State` |  | State change flag (dsDragEnter, dsDragMove, dsDragLeave).
`Accept` |  | Set to True when a drop is allowed.

## Description

An OnDragOver handler is required, or any drop will be rejected (Accept becomes False).

When an OnDragOver handler is installed, Accept is set to True and can be changed by the handler.

Remark: | Source can be either a TDragObject, or the dragged control.

## See also

TControl.OnDragOver |  | Event handler signalled when a control is dragged over the control instance.
TWinControl.DockOver |  | Called to check whether this control allows docking and where.